package cn.com.qmth.examcloud.core.basic.api.controller;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Sort;
import org.springframework.transaction.annotation.Transactional;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.com.qmth.examcloud.commons.web.support.ControllerSupport;
import cn.com.qmth.examcloud.core.basic.dao.AppRepo;
import cn.com.qmth.examcloud.core.basic.dao.entity.AppEntity;
import io.swagger.annotations.ApiOperation;

/**
 * 应用服务API Created by ting.yin on 17/3/9.
 */
@Transactional
@RestController
@RequestMapping("${$rmp.ctr.basic}/app")
public class AppController extends ControllerSupport {

	@Autowired
	AppRepo appRepo;

	@ApiOperation(value = "查询所有应用")
	@GetMapping("getAllApp")
	public List<AppEntity> getAllApp() {
		Sort sort = new Sort(Sort.Direction.ASC, "id");
		return appRepo.findAll(sort);
	}
}
