package cn.com.qmth.examcloud.core.basic.dao;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.repository.query.QueryByExampleExecutor;

import cn.com.qmth.examcloud.core.basic.dao.entity.StudentEntity;

/**
 * Created by songyue on 17/1/13.
 */
public interface StudentRepo
		extends
			JpaRepository<StudentEntity, Long>,
			QueryByExampleExecutor<StudentEntity>,
			JpaSpecificationExecutor<StudentEntity> {

	StudentEntity findByIdentityNumber(String identityNumber);

	StudentEntity findByIdentityNumberAndStudentCodeAndRootOrgId(String identityNumber,
			String studentCode, Long rootOrgId);

	StudentEntity findByIdentityNumberAndRootOrgId(String identityNumber, Long rootOrgId);

	StudentEntity findByStudentCodeAndRootOrgId(String studentCode, Long rootOrgId);

	StudentEntity findBySecurityPhoneAndRootOrgId(String securityPhone, Long rootOrgId);

	StudentEntity findBySecurityPhone(String securityPhone);

	int countByRootOrgId(Long rootOrgId);

}
