package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;

/**
 * Created by songyue on 17/7/27.
 */
@Entity
@Table(name = "EC_B_EXAM_SITE", indexes = {
		@Index(name = "IDX_B_E_S_003001", columnList = "rootOrgId,code", unique = true),
		@Index(name = "IDX_B_E_S_003002", columnList = "rootOrgId,name", unique = false)})
public class ExamSiteEntity extends JpaEntity {
	private static final long serialVersionUID = 8042526239290337481L;

	@Id
	@GeneratedValue
	private Long id;

	@Column(nullable = false)
	private Long rootOrgId;

	@Column(nullable = false)
	private Long orgId;

	@Column(nullable = false)
	private String code;

	@Column(nullable = false)
	private String name;

	@Column(nullable = false)
	private Boolean enable;

	/**
	 * 联系电话
	 */
	private String telephone;

	/**
	 * 联系人
	 */
	private String contacts;

	/**
	 * 备注
	 */
	private String remark;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

	public String getTelephone() {
		return telephone;
	}

	public void setTelephone(String telephone) {
		this.telephone = telephone;
	}

	public String getContacts() {
		return contacts;
	}

	public void setContacts(String contacts) {
		this.contacts = contacts;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

}
