package cn.com.qmth.examcloud.core.basic.dao.entity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.EnumType;
import javax.persistence.Enumerated;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.Index;
import javax.persistence.Table;

import cn.com.qmth.examcloud.commons.web.jpa.JpaEntity;
import cn.com.qmth.examcloud.core.basic.dao.enums.Gender;

/**
 * Created by songyue on 17/1/13.
 */
@Entity
@Table(name = "EC_B_USER", indexes = {
		@Index(name = "IDX_B_U_002001", columnList = "rootOrgId,loginName", unique = true)})
public class UserEntity extends JpaEntity {

	private static final long serialVersionUID = 6770398649449396459L;

	@Id
	@GeneratedValue
	private Long id;

	@Column(nullable = false)
	private Long rootOrgId;

	private Long orgId;

	@Column(nullable = false)
	private String name;

	@Column(nullable = false)
	private String loginName;

	@Column(nullable = false)
	private String password;

	private String phoneNumber;

	@Enumerated(EnumType.STRING)
	private Gender gender;

	/**
	 * 头像
	 */
	private String avatar;

	@Column(nullable = false)
	private Boolean enable;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getRootOrgId() {
		return rootOrgId;
	}

	public void setRootOrgId(Long rootOrgId) {
		this.rootOrgId = rootOrgId;
	}

	public Long getOrgId() {
		return orgId;
	}

	public void setOrgId(Long orgId) {
		this.orgId = orgId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getLoginName() {
		return loginName;
	}

	public void setLoginName(String loginName) {
		this.loginName = loginName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public Gender getGender() {
		return gender;
	}

	public void setGender(Gender gender) {
		this.gender = gender;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public Boolean getEnable() {
		return enable;
	}

	public void setEnable(Boolean enable) {
		this.enable = enable;
	}

}
