package cn.com.qmth.examcloud.core.basic.dao.enums;

import org.apache.commons.lang3.StringUtils;

import cn.com.qmth.examcloud.commons.base.exception.ExamCloudRuntimeException;

/**
 * 重新定义
 *
 * @author WANGWEI
 * @date 2018年7月10日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public enum CourseLevel {

	ZSB("专升本"),

	GQZ("高起专"),

	GQB("高起本"),

	ALL("不限");

	private String name;

	private CourseLevel(String name) {
		this.name = name;
	}

	public String getName() {
		return this.name;
	}

	/**
	 * 混合查询
	 *
	 * @author WANGWEI
	 * @param name
	 * @return
	 */
	public static CourseLevel getCourseLevel(String name) {
		if (StringUtils.isBlank(name)) {
			return CourseLevel.ALL;
		}
		for (CourseLevel cur : CourseLevel.values()) {
			if (name.equals(cur.getName())) {
				return cur;
			}
			if (name.equals(cur.name())) {
				return cur;
			}
		}

		throw new ExamCloudRuntimeException("level name is wong");
	}

}
