package cn.com.qmth.examcloud.core.basic.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.commons.base.exception.StatusException;
import cn.com.qmth.examcloud.core.basic.dao.UserRepo;
import cn.com.qmth.examcloud.core.basic.dao.entity.UserEntity;
import cn.com.qmth.examcloud.core.basic.service.UserService;

/**
 * 用户服务类 Created by songyue on 17/1/13.
 */
@Service
public class UserServiceImpl implements UserService {

	@Autowired
	UserRepo userRepo;

	public UserEntity save(UserEntity user) {
		UserEntity one = userRepo.findByRootOrgIdAndLoginName(user.getRootOrgId(),
				user.getLoginName());
		if (one != null && (!one.getId().equals(user.getId()))) {
			throw new StatusException("B-150002", "登录名已存在");
		}
		return userRepo.save(user);
	}

}
